Overview
Examples
Screenshots
Comparisons
Applications
Download
Documentation
Tutorials
Bazaar
Status & Roadmap
FAQ
Authors & License
Forums
Funding Ultimate++
Search on this site
Search in forums












SourceForge.net Logo
Home » U++ Library support » U++ Library : Other (not classified elsewhere) » Apps might need to be recompiled after libnotify update
Apps might need to be recompiled after libnotify update [message #31552] Sun, 13 March 2011 12:19
dolik.rce is currently offline  dolik.rce
Messages: 1758
Registered: August 2008
Location: Czech Republic
Senior Contributor

Hi

If your TheIDE or other U++ GUI app suddenly stops working it might be because libnotify on your system was updated. If you run the application from terminal it will emit error like this one:
Quote:

theide: error while loading shared libraries: libnotify.so.1: cannot open shared object file: No such file or directory

This is because libnotify 0.5 (and earlier) is not fully compatible with recently released libnotify 0.7, so that the shared lib file name was bumped from /usr/lib/libnotify.so.1 to /usr/lib/libnotify.so.4.

U++ is already prepared for this change (since version 3273), but the application must be recompiled against the newer version of the libnotify library.

This doesn't concern win32 systems. Also applications compiled with NOGTK flags should be unaffected.

Best regards,
Honza
 
Read Message
Previous Topic: Ctrl Background
Next Topic: Web or HttpClient example?
Goto Forum:
  


Current Time: Sun Dec 15 09:36:20 CET 2019

Total time taken to generate the page: 0.01732 seconds